Problem downgrading from 3.1.3 to 3.1.2(different)

Discussion in 'iPod touch' started by raxater, Apr 16, 2010.

  1. raxater

    raxater New Member

    Joined:
    Dec 28, 2009
    Messages:
    271
    Likes Received:
    0
    Device:
    2G iPod touch
    Allright so um yeah... I'm using a 8gb 3gen ipod touch and so I tried downgrading it to 3.1.2. So I plugged ipod, open itunes, put ipod in DFU mode, download 3.1.2 firmware, press shift and click restore then choose the firmware 3.1.2 but it suddenly says something like: Ipod can't be restored because the file is incompatible

    Please Register or Log in to view images

    Anyone know whats the matter?
  2. Theodosius

    Theodosius Active Member

    Joined:
    Jun 9, 2009
    Messages:
    3,071
    Likes Received:
    6
    Device:
    iPad 3
    You used the 2G firmware, right?
  3. AMurphy

    AMurphy Banned

    Joined:
    Apr 11, 2010
    Messages:
    537
    Likes Received:
    0
    Device:
    3G iPod touch
    you need to use the 3.1.2 2g firmware to downgrade 3.1.3 8gb mc model ipod touches
  4. raxater

    raxater New Member

    Joined:
    Dec 28, 2009
    Messages:
    271
    Likes Received:
    0
    Device:
    2G iPod touch

Share This Page